/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery.bean.jaxb;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;


/**
 * The Class MetadataCategory.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Mar 21, 2017
 */
@XmlRootElement(name = "metadatacategory")
@XmlAccessorType (XmlAccessType.FIELD)
public class MetadataCategory implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = -7282676787740920115L;

	@XmlAttribute(required = true)
	private String id = null;

	@XmlElement(required = true)
	private String title = "";

	private String description = null;


	/**
	 * Instantiates a new metadata category.
	 */
	public MetadataCategory() {
	}


	/**
	 * Instantiates a new metadata category.
	 *
	 * @param id the id
	 * @param title the title
	 */
	public MetadataCategory(String id, String title) {

		super();
		this.id = id;
		this.title = title;
	}



	/**
	 * Instantiates a new metadata category.
	 *
	 * @param id the id
	 * @param title the title
	 * @param description the description
	 */
	public MetadataCategory(String id, String title, String description) {

		super();
		this.id = id;
		this.title = title;
		this.description = description;
	}


	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId() {

		return id;
	}


	/**
	 * Gets the title.
	 *
	 * @return the title
	 */
	public String getTitle() {

		return title;
	}


	/**
	 * Gets the description.
	 *
	 * @return the description
	 */
	public String getDescription() {

		return description;
	}


	/**
	 * Sets the id.
	 *
	 * @param id the id to set
	 */
	public void setId(String id) {

		this.id = id;
	}


	/**
	 * Sets the title.
	 *
	 * @param title the title to set
	 */
	public void setTitle(String title) {

		this.title = title;
	}


	/**
	 * Sets the description.
	 *
	 * @param description the description to set
	 */
	public void setDescription(String description) {

		this.description = description;
	}


	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {

		StringBuilder builder = new StringBuilder();
		builder.append("MetadataCategory [id=");
		builder.append(id);
		builder.append(", title=");
		builder.append(title);
		builder.append(", description=");
		builder.append(description);
		builder.append("]");
		return builder.toString();
	}

}
